System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.IEnumerable<System.ServiceModel.Channels.MessageHeaderInfo>

This class contains a collection of message headers that are understood. SOAP processors at various layers (Security, Reliability, Transaction and application dispatcher) must add their MustUnderstand headers to this collection after processing the headers. The dispatcher throws a MessageHeader fault if a header exists in the Message.Headers collection that must be understood, but is not found in this collection.

Represents a collection of message headers that are understood. This class cannot be inherited.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Adds the specified to this collection. This implies that the specific header has been understood.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Verifies whether the specified is present in this collection.

  true if the specified is present in this collection; otherwise, false.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.ServiceModel.Channels.MessageHeaderInfo> To be added.

  Returns an enumerator that iterates through the collection.

  An object that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Removes the specified from this collection.

- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the collection.

  An object that can be used to iterate through the collection.